package org.dromara.payment.sys.service;

import org.dromara.payment.sys.domain.vo.SysSydConfigVo;
import org.dromara.payment.sys.domain.bo.SysSydConfigBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 服务商配置Service接口
 *
 * @author LionLi
 * @date 2024-03-26
 */
public interface ISysSydConfigService {

    /**
     * 查询服务商配置
     */
    SysSydConfigVo queryById(Long id);

    /**
     * 查询服务商配置列表
     */
    TableDataInfo<SysSydConfigVo> queryPageList(SysSydConfigBo bo, PageQuery pageQuery);

    /**
     * 查询服务商配置列表
     */
    List<SysSydConfigVo> queryList(SysSydConfigBo bo);

    /**
     * 新增服务商配置
     */
    Boolean insertByBo(SysSydConfigBo bo);

    /**
     * 修改服务商配置
     */
    Boolean updateByBo(SysSydConfigBo bo);

    /**
     * 校验并批量删除服务商配置信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
